use std::{thread, time::Duration};

fn main() {
    let h = thread::spawn(|| {
        for i in 1..10 {
            println!("{} spawned thread!", i);
            thread::sleep(Duration::from_millis(10));
        }
    });

    // 等待线程完成
    // h.join().unwrap();

    for i in 1..5 {
        println!("{} main thread!", i);
        thread::sleep(Duration::from_millis(10));
    }

    h.join().unwrap();
}
